Subject: Re: [X2Go-Dev] nxagent aborts session with 'Could not open default font 'fixed''

From: devsk <[email-masked]>
Date: Mon, 8 Jun 2015 03:52:01 +0000 (UTC)

> Note how the code in nx-libs spells "could" in lowercase, but
> the message spells it with a capital letter.

I was thrown off by that for a while. It took me a while to search that message because I was searching for exact message and it wouldn't find it. When I did find the message and then looked at the wrapper function that was being called with that message, I knew what was going on. The wrapper pretty prints the enclosed message by capitalizing the first letter....one of those genius ideas. Wasting developer time since the dawn of the times.

Anyway, the fontconfig is definitely installed (KDE wouldn't function without it).

The DPI was being enforced by the client to be 96 and I unchecked that and tried as well. But the issue appears when I just run 'nxagent :50" without any args. I expect it should throw open an empty window with a logo, but instead it comes out with that dreadful message.

I am handy with debugging and code. But my time is very limited because our company is running against some hard deadlines in 1.5 weeks... Working during weekends sucks...:(

-devsk